libzypp 17.37.10

zyppng::SignalProxy< R(T...)> Class Template Reference

Hides the signals emit function from external code. More...

`#include <zypp-core/zyppng/base/signals.h>`

## Public Types
using | SignalType = SignalProxyBase<R,T...>

## Public Member Functions
| SignalProxy (SignalType &sig)
template<typename... Args>
connection | connect (Args &&... slot)
| Forwards the arguments to the internal connect function of the signal type.

## Private Attributes
SignalType & | _sig

## Detailed Description

template<class R, class... T>
class zyppng::SignalProxy< R(T...)>

Hides the signals emit function from external code.

Note
  based on Glibmms SignalProxy code

Definition at line 333 of file signals.h.

## Member Typedef Documentation

## ◆ SignalType

template<class R, class... T>

using zyppng::SignalProxy< R(T...)>::SignalType = SignalProxyBase<R,T...>

Definition at line 336 of file signals.h.

## Constructor & Destructor Documentation

## ◆ SignalProxy()

template<class R, class... T>

zyppng::SignalProxy< R(T...)>::SignalProxy | ( | SignalType & | sig | ) |
| inline

Definition at line 338 of file signals.h.

## Member Function Documentation

## ◆ connect()

template<class R, class... T>
template<typename... Args>

connection zyppng::SignalProxy< R(T...)>::connect | ( | Args &&... | slot | ) |
| inline

Forwards the arguments to the internal connect function of the signal type.

Definition at line 344 of file signals.h.

## Member Data Documentation

## ◆ _sig

template<class R, class... T>

SignalType& zyppng::SignalProxy< R(T...)>::_sig
| private

Definition at line 350 of file signals.h.

The documentation for this class was generated from the following file:

- zypp-core/zyppng/base/signals.h